﻿/**Begin D:\PDM_UPGRADE\PDM1\QCNP_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCNP_INSPBILL', 'T_QCNP_INSPBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPLL_FBILLNO') CREATE INDEX IDX_QCNP_INSPLL_FBILLNO ON T_QCNP_INSPBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPLL_FCREATETIME') CREATE INDEX IDX_QCNP_INSPLL_FCREATETIME ON T_QCNP_INSPBILL ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCNP_INSPBILL_L', 'T_QCNP_INSPBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPLLL_FID') CREATE INDEX IDX_QCNP_INSPLLL_FID ON T_QCNP_INSPBILL_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPLLL_FCOMMENT') CREATE INDEX IDX_QCNP_INSPLLL_FCOMMENT ON T_QCNP_INSPBILL_L ( FCOMMENT );


 EXEC P_ALTERPK 'PK_QCNP_INSPENTRY', 'T_QCNP_INSPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPRY_FID') CREATE INDEX IDX_QCNP_INSPRY_FID ON T_QCNP_INSPENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPRY_FSEQ') CREATE INDEX IDX_QCNP_INSPRY_FSEQ ON T_QCNP_INSPENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCNP_INSPENTRY_L', 'T_QCNP_INSPENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPRYL_FENTRYID') CREATE INDEX IDX_QCNP_INSPRYL_FENTRYID ON T_QCNP_INSPENTRY_L ( FENTRYID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPRYL_FSUBCOMMENT') CREATE INDEX IDX_QCNP_INSPRYL_FSUBCOMMENT ON T_QCNP_INSPENTRY_L ( FSUBCOMMENT );


 EXEC P_ALTERPK 'PK_QCNP_INSPSUBRESPROJ', 'T_QCNP_INSPSUBRESPROJ', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPOJ_FENTRYID') CREATE INDEX IDX_QCNP_INSPOJ_FENTRYID ON T_QCNP_INSPSUBRESPROJ ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPOJ_FSEQ') CREATE INDEX IDX_QCNP_INSPOJ_FSEQ ON T_QCNP_INSPSUBRESPROJ ( FSEQ );


 EXEC P_ALTERPK 'PK_QCNP_INSPSUBRESPROJ_L', 'T_QCNP_INSPSUBRESPROJ_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPOJL_FDETAILID') CREATE INDEX IDX_QCNP_INSPOJL_FDETAILID ON T_QCNP_INSPSUBRESPROJ_L ( FDETAILID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPOJL_COMMENT') CREATE INDEX IDX_QCNP_INSPOJL_COMMENT ON T_QCNP_INSPSUBRESPROJ_L ( FINSPECCOMMENT );


 EXEC P_ALTERPK 'PK_QCNP_INSPSUBRESRELA', 'T_QCNP_INSPSUBRESRELA', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPLA_FENTRYID') CREATE INDEX IDX_QCNP_INSPLA_FENTRYID ON T_QCNP_INSPSUBRESRELA ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPLA_FSEQ') CREATE INDEX IDX_QCNP_INSPLA_FSEQ ON T_QCNP_INSPSUBRESRELA ( FSEQ );


 EXEC P_ALTERPK 'PK_QCNP_INSPSUBRESSAMP', 'T_QCNP_INSPSUBRESSAMP', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPMP_FENTRYID') CREATE INDEX IDX_QCNP_INSPMP_FENTRYID ON T_QCNP_INSPSUBRESSAMP ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPMP_FSEQ') CREATE INDEX IDX_QCNP_INSPMP_FSEQ ON T_QCNP_INSPSUBRESSAMP ( FSEQ );



/**End D:\PDM_UPGRADE\PDM1\QCNP_constraint.sql **/
