﻿/**Begin D:\PDM_UPGRADE\PDM1\QCNP_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCNP_INSPAPPLYPROJ', 'T_QCNP_INSPAPPLYPROJ', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPAPP_FENTRYID') CREATE INDEX IDX_QCNP_INSPAPP_FENTRYID ON T_QCNP_INSPAPPLYPROJ ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_INSPAPP_FSEQ') CREATE INDEX IDX_QCNP_INSPAPP_FSEQ ON T_QCNP_INSPAPPLYPROJ ( FSEQ );


 EXEC P_ALTERPK 'PK_QCNP_JOININSPECT', 'T_QCNP_JOININSPECT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_JOINCT_FBILLNO') CREATE INDEX IDX_QCNP_JOINCT_FBILLNO ON T_QCNP_JOININSPECT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_JOINCT_FCREATETIME') CREATE INDEX IDX_QCNP_JOINCT_FCREATETIME ON T_QCNP_JOININSPECT ( FCREATETIME );

 
 EXEC P_ALTERPK 'PK_QCNP_JOININSPENTRY', 'T_QCNP_JOININSPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_JOINRY_FID') CREATE INDEX IDX_QCNP_JOINRY_FID ON T_QCNP_JOININSPENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_JOINRY_FSEQ') CREATE INDEX IDX_QCNP_JOINRY_FSEQ ON T_QCNP_JOININSPENTRY ( FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_JOINRY_FMAT') CREATE INDEX IDX_QCNP_JOINRY_FMAT ON T_QCNP_JOININSPENTRY ( FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_JOINRY_FMATCFG') CREATE INDEX IDX_QCNP_JOINRY_FMATCFG ON T_QCNP_JOININSPENTRY ( FMATERIALCFGID );

 
 EXEC P_ALTERPK 'PK_QCNP_JOININSPPROJ', 'T_QCNP_JOININSPPROJ', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_JOINOJ_FENTRYID') CREATE INDEX IDX_QCNP_JOINOJ_FENTRYID ON T_QCNP_JOININSPPROJ ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_JOINOJ_FSEQ') CREATE INDEX IDX_QCNP_JOINOJ_FSEQ ON T_QCNP_JOININSPPROJ ( FSEQ );
 
 
 EXEC P_ALTERPK 'PK_QCNP_JOININSPRELA_N', 'T_QCNP_JOININSPRELA_N', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_JOINLA_FENTRYID') CREATE INDEX IDX_QCNP_JOINLA_FENTRYID ON T_QCNP_JOININSPRELA_N ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_JOINLA_FSEQ') CREATE INDEX IDX_QCNP_JOINLA_FSEQ ON T_QCNP_JOININSPRELA_N ( FSEQ );
 
 
 EXEC P_ALTERPK 'PK_QCNP_JOININSPSAMP_N', 'T_QCNP_JOININSPSAMP_N', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_JOINMP_FENTRYID') CREATE INDEX IDX_QCNP_JOINMP_FENTRYID ON T_QCNP_JOININSPSAMP_N ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCNP_JOINMP_FSEQ') CREATE INDEX IDX_QCNP_JOINMP_FSEQ ON T_QCNP_JOININSPSAMP_N ( FSEQ );
 
/**End D:\PDM_UPGRADE\PDM1\QCNP_constraint.sql **/
